<script setup lang="ts">
import { ref } from 'vue'
import { useUserStore } from '@/stores/user';
import DialogAddUser from './DialogAddUser.vue';
const userStore = useUserStore()
const  headers =[
          { key: 'id', title: 'Id' },
          { key: 'email', title: 'Email' },
          { key: 'fullname', title: 'Full Name' },
          { key: 'gender', title: 'Gender' },
          { key: 'role', title: 'Role' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
    const search = ref('')
</script>

<template>
      <v-data-table 
              :headers="headers"
              :items="userStore.users"
              :search="search"
              :items-per-page="8"
              style="background-color:#E7D0B9 ;"
              >
  
              <template v-slot:[`item.actions`]="{ item }">
        <v-icon
          size="small"
          class="me-2"
          @click="userStore.editItem(item)"
        >
          mdi-pencil
        </v-icon>
        <v-icon
          size="small"
          @click="userStore.deleteItem(item)"
        >
          mdi-delete
        </v-icon>
      </template>
  </v-data-table>
  <DialogAddUser/>
  <v-dialog v-model="userStore.dialogDelete" max-width="500px">
           <v-card>
            <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
            <v-card-actions>
              <v-spacer></v-spacer>
              <v-btn color="blue-darken-1" variant="text" @click="userStore.closeDelete">Cancel</v-btn>
              <v-btn color="blue-darken-1" variant="text" @click="userStore.deleteItemConfirm">OK</v-btn>
              <v-spacer></v-spacer>
            </v-card-actions>
          </v-card>
        </v-dialog>
  </template>
  <style scoped>
  tbody tr:nth-of-type(even) {
    background-color: #D2BAA0;
  }
  
  tbody tr:nth-of-type(odd) {
    background-color: #E7D0B9;
  }
  
  thead {
    background-color: #BC9B6B;
    color: rgb(0, 0, 0);
    font-weight: bold;
  }
  
  
  .theme--light.v-data-table thead tr th {
    color: white;
  }
  </style>
